Robert Haas wrote:
> >> Any thoughts welcome. ?Incidentally, if anyone else feels like working
> >> on this, feel free to let me know and I'm happy to step away, from all
> >> of it or from whatever part someone else wants to tackle. ?I'm mostly
> >> working on this because it's something that I think we really need to
> >> get done, more than having a burning desire to be the one who does it.
> >
> > Indexonly scans are welcome!
> > I believe I can help on 3 and 4, but (really) not sure for 1 and 2.
> 
> Well, I have code for #1, and just need reviews, and #2 shouldn't be
> that hard, and with luck I'll twist Bruce's arm into doing it (*waves
> to Bruce*).  So #3 and #4 are the next thing to tackle.  Any thoughts
> on what/how you'd like to contribute there?

I am happy to have pg_upgrade skip upgrading visibility map files --- it
already has code to conditionally process them because they only exist
in >= 8.4:

        /* fsm/vm files added in PG 8.4 */
        if (GET_MAJOR_VERSION(old_cluster.major_version) >= 804)
        {
            /*
             * Copy/link any fsm and vm files, if they exist
             */

Just give the word and it will be done.

-- 
  Bruce Momjian  <br...@momjian.us>        http://momjian.us
  EnterpriseDB                             http://enterprisedb.com

  + It's impossible for everything to be true. +

-- 
Sent via pgsql-hackers mailing list (pgsql-hackers@postgresql.org)
To make changes to your subscription:
http://www.postgresql.org/mailpref/pgsql-hackers

Reply via email to